Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32448/?format=api
{ "ob_id": 32448, "uuid": "932bf0c7937345d7af5be9d018da2a07", "title": "NERC-ARF Flight 2018_135b - for GB18_56: Airborne remote sensing measurements", "abstract": "Airborne remote sensing measurements collected on 15 May 2018 by the Natural Environment Research Council Airborne Research Facility (NERC-ARF) onboard the British Antarctic Survey (BAS) Twin-Otter aircraft for the NERC-ARF GB18_56 Project: Methane emission sources, UK (GB18_56) (flight reference: 2018_135b). This dataset comprises: hyperspectral data collected using a Specim Aisa FENIX imager and hyperspectral data collected using a Specim Aisa OWL imager.\r\n\r\nData were collected over various locations in the UK.", "keywords": "GB18_56, GB18/56, aircraft, hyperspectral, remote sensing, NERC-ARF, ARSF", "publicationState": "published", "dataPublishedTime": "2021-04-23T10:59:22", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32449/?format=api", "dataPath": "/neodc/arsf/2018/GB18_56/GB18_56-2018_135b_Methane_Sites", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 42146427847, "numberOfFiles": 219, "fileFormat": "Hyperspectral data are ENVI binary, LiDAR data are LAS and aerial photography are TIF formats" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8914/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2750/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected and processed by the NERC-ARF facility and deposited at the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/32421/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144448/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144449/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144450/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144451/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144452/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144453/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144454/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/144455/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/32450/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }